"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const listProperties = async (pool, readModelName) => {
  const {
    inlineLedgerRunQuery,
    tablePrefix,
    escapeId,
    escape
  } = pool;
  const ledgerTableNameAsId = escapeId(`${tablePrefix}__LEDGER__`);
  const rows = await inlineLedgerRunQuery(`SELECT \`Properties\`
     FROM  ${ledgerTableNameAsId}
     WHERE \`EventSubscriber\` = ${escape(readModelName)}
    `);

  if (rows.length === 1) {
    return rows[0].Properties;
  } else {
    return null;
  }
};

var _default = listProperties;
exports.default = _default;
//# sourceMappingURL=list-properties.js.map